/*
Theme Name: Dusun
Theme URI: http://pixelgrade.com/demos/osteria
Author: Patrick Tang
Author URI: http://tangency.co
Template: osteria
Description:  Dusun is a specialty store in local-sourced fruits
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: osteria
Tags: black, orange, light, one-column, two-columns, right-sidebar, flexible-width, custom-header, custom-menu, editor-style, featured-images, microformats, sticky-post, translation-ready
*/

/** General **/
.c-footer {
        font-size: 1.2rem !important;
 }

textarea {
		font-size: 18px !important;
}
 
 input[type="text"], input[type="tel"], input[type="number"], input[type="date"], input[type="email"], input[type="password"], input[type="url"], input[type="search"] {
 		font-size: 1.2rem !important;
 }

table th, table td {
		white-space: normal !important;
}

button.button:hover {
    color: white !important;
}

.entry-content img:not(.is-loaded) {
	opacity: 1 !important;
}

@media screen and (max-width: 50em) {
	.c-navbar__content.u-header-background {
		display: none !important;
	}
}

/** Branding **/
.c-branding--mobile .c-logo img {
	padding: 10px;
}

#menu-social-menu #menu-item-5468, #menu-social-menu #menu-item-5469 {
	display: none;
}

.menu-item--cart_, .footer .cart-icon_ {
	display: none !important;
}

.cart-icon a:before {
	content: "\f447" !important;
}

.js-open-cart[class]:before {
	content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='25' height='25' fill='currentColor' class='bi bi-cart-fill' viewBox='0 0 16 16'%3E%3Cpath d='M0 1.5A.5.5 0 0 1 .5 1H2a.5.5 0 0 1 .485.379L2.89 3H14.5a.5.5 0 0 1 .491.592l-1.5 8A.5.5 0 0 1 13 12H4a.5.5 0 0 1-.491-.408L2.01 3.607 1.61 2H.5a.5.5 0 0 1-.5-.5zM5 12a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm7 0a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm-7 1a1 1 0 1 1 0 2 1 1 0 0 1 0-2zm7 0a1 1 0 1 1 0 2 1 1 0 0 1 0-2z'/%3E%3C/svg%3E") !important;
}

.u-underlined-header-links .c-navbar .menu-item.menu-item--cart:hover > a {
	border-bottom: none;
}

/** Shop **/
.mobile-wc-categories {
	padding: 15px !important;
	width: 100%;
	max-width: 500px;
	margin: 0 auto !important;
}

.woocommerce-header[class] {
    padding-bottom: 42px !important;
}

.product-search-form {
	margin: 35px 0;
}

.c-card .c-card__add-to-cart {
	opacity: 1;
	min-height: 100px;
	z-index: 99;
}

.c-card .c-card__add-to-cart a {
	padding: 14px 14px;
}

.c-card__out-of-stock {
    position: absolute;
    top: 0;
    right: 0;
    padding: 5px 8px;
    margin: 8px;
    background: grey;
    font-size: 12px;
    color: white;
}

.c-card__recommended {
    position: absolute;
    top: 0;
    right: 0;
    padding: 5px 8px;
    margin: 8px;
    background: orange;
    font-size: 12px;
    color: white;
}

.c-card__recommended img {
	min-height: auto !important;
	min-width: auto !important;
	position: relative !important;
}

.c-mini-cart[class] .cart_list img, .c-mini-cart[class] .product_list_widget img {
	display: none;
}

.how-text {
	text-decoration: none !important;
	margin-bottom: 38px;
	text-align: center;
}

@media only screen and (min-width: 800px) {
	.mobile-wc-categories {
		display: none !important;
	}
}

@media only screen and (max-width: 799px) {
	.desktop-wc-categories {
		display: none !important;
	}
}

@media only screen and (max-width: 768px) {
	.c-card .c-card__add-to-cart a {
		padding: 12px 18px;
    	font-size: 10px;
    	letter-spacing: 0;
	}
	
	.c-card__add-to-cart[class][class][class][class] .add_to_cart_button, .c-card__add-to-cart[class][class][class][class] .added_to_cart {
		position: relative;
    	left: 0 !important;
    	bottom: 0 !important;
		margin-top: 15px;
    	padding: 20px;
	}
	
	.c-card .c-card__add-to-cart {
		min-height: auto;
	}
}


/** Products **/
#content .c-product-main { 
	margin-top: 15px; 
}

.u-buttons-solid[class][class] .product .cart .qty[class][class][class] {
	background-color: lightgray;
	color: black;
}

.woocommerce div.product form.cart div.quantity {
	margin-right: 15px;
	float: left !important;
}

.woocommerce div.product form.cart div.quantity input.qty {
	margin-bottom: 0 !important;
    min-height: 60px !important;
}

.woocommerce .quantity .plus, .woocommerce .quantity .minus, .woocommerce-page .quantity .plus, .woocommerce-page .quantity .minus {
	width: 1.2em;
	height: 50%;
	font-size: 1.2em;
}

.woocommerce form.cart .qty {
	padding-right: 0.75em;
	cursor: default;
}

.alg-product-input-fields-table {
	width: 100%;
}

.thwepo-extra-options .label, .single-product .ajax_add_to_cart {
	display: none;
}

.xoo-aff-input-group .xoo-aff-input-icon { 
	display: none; 
}

.variations_button { 
	display: block; 
}

.thwepo_variable .value * { 
	border-bottom: none; 
}

.single-product .c-product-main .cart[class][class] .ajax_add_to_cart ~ .button {
	display: block !important;
}

@media only screen and (max-width: 768px){
	.c-gallery--woocommerce {
		margin-top: 15px !important;
	}
	
	.c-gallery--woocommerce article.product {
		width: 50%;
	}
	
	.c-footer__widget:first-child:nth-last-child(3) ~ .widget {
		flex-basis: 100% !important;
	}
}

/** Cart **/
.woocommerce-cart .woocommerce .quantity .plus, .woocommerce-cart .woocommerce .quantity .minus, .woocommerce-cart .woocommerce-page .quantity .plus, .woocommerce-cart .woocommerce-page .quantity .minus {
    width: 2em;
    height: 50%;
    font-size: 0.55em;
}

.woocommerce-cart .variation { 
	margin-top: 20px;  
}

.woocommerce-cart .variation dd { 
	font-weight: 400; 
	font-size: 14px;  
}

.woocommerce-mini-cart .variation dt { 
	width: 100%; 
}

/** Food Menu **/

@media only screen and (max-width: 1360px) {
.menu-list li:not(:last-child), dl > dl:not(:last-of-type), dl > dd:not(:last-of-type) {
    margin-bottom: 30px !important;
}
}

/** Outlets **/

.icon-reviews {
    object-fit: fill !important;
    max-width: 45px;
    max-height: 60px;
    }

.social-icon {
    flex-basis: 25% !important;
    width: 25% !important;
    max-width: 25% !important;
}
    
/** Corporate Logos **/
.row-style--stretch .column__wrapper .galleryid-1943 img {
	-o-object-fit: fill;
	object-fit: fill;
    height: auto;
}

@media only screen and (min-width: 1025px) and (max-width: 1280px) {
.row-style--stretch .column__wrapper .galleryid-1943 img {
	max-width: 198px !important;
}
}

@media only screen and (min-width: 35em) and (max-width: 1025px) {
.gallery-columns-3 {
	width: 75%;
	margin: 0 auto !important;
}

.row-style--stretch .column__wrapper .galleryid-1943 img {
	max-width: 198px !important;
}

}

@media only screen and (max-width: 799px) {
.corporate-info {
	padding-top: 0px !important;
}

.galleryid-1943 {
	max-height: 30vw;
    width: 80%;
    margin: 0 auto !important;

}

}

.col-1943 {
	justify-content: center;
    flex-direction: column;
    display: flex;
}

.col-1943 .logos {
	max-height: 320px;
}

/** Boxzilla **/
@media screen and (max-width: 600em) {
	.boxzilla {
		max-width: 90% !important;
	}
}

/** Footer **/

@media only screen and (max-width: 640px) {
.c-footer__widget.widget_text, .c-footer__widget.widget_nav_menu {
    margin-bottom: 20px !important;
}

.c-footer__widget.widget_text, .c-footer__widget.widget_nav_menu {
    width: 100%;
    -ms-flex-preferred-size: 100% important;
    flex-basis: 100% !important;
}

.c-footer__widget.widget_text .textwidget, .c-footer__widget.widget_nav_menu .textwidget, .c-footer__widget.widget_open_overview_widget .open_overview_widget-schedule div, .c-footer__widget.widget_nav_menu .menu-item {
	font-size: 0.9rem;
}
}


/** Checkout **/
.woocommerce ul#shipping_method li label, table th, table td {
	white-space: normal;
}

.woocommerce-checkout th.product-name {
	width: 70%;
}

.c-hero__background {
	background-color: grey;
}

.c-hero__image, .c-hero__content {
    opacity: 1 !important;
}

.c-navbar__zone--left .c-branding img, .c-branding--mobile .c-logo img {
	width: 100px;
}

.u-buttons-solid .button, .u-buttons-solid .c-btn, .u-buttons-solid .c-comments-toggle__label, .u-buttons-solid button[type=reset], .u-buttons-solid button[type=submit], .u-buttons-solid input[type=button], .u-buttons-solid input[type=submit], .u-buttons-solid [id="subscribe-submit"], .u-buttons-solid .button[class][class][class][class][class], .u-buttons-solid .product .cart .qty[class][class][class], .u-buttons-solid #respond input#submit[id], .u-buttons-solid .added_to_cart {
	margin-bottom: 15px;
}

.woocommerce td.product-name dl.variation dt {
	margin-right: 0;
}

button[name="apply_coupon"] {
	padding: 25px 15px !important;
    margin-bottom: 0 !important;
}

label[for="payment_method_senangPay"]{
	flex-wrap: wrap;
}

label[for="payment_method_senangPay"] img {
	flex-basis: 100%;
    width: 0;
}

.home .column--stretch, .col-10164 .column--stretch  {
	height: auto !important;
}

.extra_product_text {
		font-size: smaller;
    padding: 10px 0;
}

.woocommerce-store-notice[class][class] {
		padding: 0.75em 1.5em !important;
		font-size: 0.85em !important;
}

/** Products **/
#content .c-product-main { 
	margin-top: 15px; 
}

.u-buttons-solid[class][class] .product .cart .qty[class][class][class] {
	background-color: lightgray;
	color: black;
}

.woocommerce form.cart .qty {
	padding-right: 0.75em;
	cursor: default;
}

.woocommerce div.product form.cart div.quantity {
	margin-right: 15px;
}

.woocommerce .quantity .plus, .woocommerce .quantity .minus, .woocommerce-page .quantity .plus, .woocommerce-page .quantity .minus {
	width: 1.2em;
	height: 50%;
	font-size: 1.2em;
}

.woocommerce .quantity.hidden {
	display: none;
}

.woocommerce-cart .woocommerce .quantity .plus, .woocommerce-cart .woocommerce .quantity .minus, .woocommerce-cart .woocommerce-page .quantity .plus, .woocommerce-cart .woocommerce-page .quantity .minus {
    width: 2em;
    height: 50%;
    font-size: 0.55em;
}

button.button:hover {
	color: white !important;
}

.c-card .c-card__add-to-cart {
	opacity: 1;
	min-height: 100px;
	z-index: 99;
}

.c-btn.add_to_cart_button {
	padding: 14px;
}

.c-mini-cart[class] .cart_list img, .c-mini-cart[class] .product_list_widget img {
	display: none;
}


.c-card__recommended {
    position: absolute;
    top: 0;
    right: 0;
    padding: 5px 8px;
    margin: 8px;
    background: #FF8300;
    font-size: 12px;
    color: white;
		border-radius: .3em;
}

.c-card__recommended img {
	min-height: auto !important;
	min-width: auto !important;
	position: relative !important;
}

.c-card__frame .c-btn--sale-flash {
	background-color: rgb(255, 153, 204) !important;
	border-color: transparent !important;
}

.woocommerce-cart .variation { 
	margin-top: 20px;  
}

.woocommerce-cart .variation dd { 
	font-weight: 400; 
	font-size: 14px;  
}

.woocommerce-mini-cart .variation dt { 
	width: 100%; 
}

.woocommerce ul#shipping_method li label {
	letter-spacing: 0.05em;
	font-size: 12px;
}

.woocommerce ul#shipping_method .amount {
	font-size: 20px;
}

.xoo-aff-input-group .xoo-aff-input-icon { 
	display: none; 
}

.variations_button { 
	display: block !important; 
}

.thwepo_variable .value * { 
	border-bottom: none; 
}

.c-gallery--woocommerce article {
	margin-bottom: 20px;
}

.thwepo-extra-options .label, .single-product .ajax_add_to_cart, .menu-item--cart_, footer .cart-icon {
	display: none !important;
}

.single-product .c-product-main .cart[class][class] .ajax_add_to_cart ~ .button {
	display: block !important;
}

.cart-icon a:before {
	content: "\f447";
}

.page-id-10148 .c-gallery--woocommerce .c-card__title {
	font-size: 18px;
}

.flex-viewport {
	height_: auto !important;
}

@media only screen and (max-width: 768px) {
.c-card__add-to-cart[class][class][class][class] .add_to_cart_button, .c-card__add-to-cart[class][class][class][class] .added_to_cart {
		position: relative;
    left: 0 !important;
    bottom: 0 !important;
		margin-top: 15px;
    padding: 15px 10px;
	}
	
	.c-card .c-card__add-to-cart {
		min-height_: auto;
	}
	
	.woocommerce .woocommerce-message .button.wc-forward {
		width: 100%;
    	padding: 15px 20px !important;
    	margin-left: 10px !important;
	}
}

@media only screen and (min-width: 1025px) {
	.c-navbar__overlay { display: none; }
}

.header-searchform {
	display: none;
}

@media only screen and (max-width:600px) {
	
	.c-navbar__label {
			top: 30% !important;
	}
	
	.home .c-navbar__label_ {
			top: 50% !important;
	}
	
	.header-searchform {
		z-index: 9999;
    display: block;
    padding: 0px 20px 20px 20px;
	}
	
	.woocommerce-header .product-search-form {
		display: none;
	}
	
}

@media only screen and (min-width: 768px) {
	#content .c-product-main[class][class][class]>.woocommerce-product-gallery {
		max-width: 50%;
	}
}
